Bug 436596 - kernel 2.6.24.3-12.fc8.x86_64 panics during boot on laptop
kernel 2.6.24.3-12.fc8.x86_64 panics during boot on laptop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 02:24 EST by Jeffrey L. Susanj
Modified: 2008-03-20 20:06 EDT (History)
0 users

See Also:
Fixed In Version: 2.6.24.3-34.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 20:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey L. Susanj 2008-03-08 02:24:08 EST
Description of problem:
After installing kernel 2.6.24.3-12.fc8.x86_64 the kernel panics towards the end
of the boot procedure.


Version-Release number of selected component (if applicable):


How reproducible: Occurs on every boot.


Steps to Reproduce:
1. install kernel-2.6.24.3-12.fc8.x86_64 on a gateway model MX6425 laptop
2. reboot
3. wait for panic
  
Actual results: The "A" light on the laptop status panel flashes and the
following is visible on the screen:

Call Trace:
[<ffffffff8816a960>] :mac80211:_iee80211_tx+0x5d/0x13c
[<ffffffff8816ace9>] :mac80211:iee80211_master_start_xmit+0x2aa/0x3a8
[<ffffffff811fa617>] dev_hard_start_xmit+0x1d2/0x247
[<ffffffff8120b605>] __qdisc_run+0x79/0x174
[<ffffffff881638dc>] :mac80211:ieee80211_sta_scan_work+0x161/0x193
[<ffffffff8816377b>] :mac80211:ieee80211_sta_scan_work+0x0/0x193
[<ffffffff81045635>] run_workque+0x7f/0x10b
[<ffffffff81045f3d>] worker_thread+0x0/0xe4
[<ffffffff81046017>] worker_thread+0xda/0xe4
[<ffffffff81049221>] autoremove_wake_function+0x0/0x2e
[<ffffffff810490f2>] kthread+0x47/0x75
[<ffffffff8100cca8>] child_rip+0xa/0x12
[<ffffffff810490ab>] kthread+0x0/0x75
[<ffffffff8100cc93>] child_rip+0xa/0x12


Code: 0f b7 40 06 c1 e3 18 c1 e0 13 09 c3 81 cb 00 00 00 b0 0b 5d
RIP [<ffffffff881cc84d>] :rt18180:rt18180_tx+0x78
 RSP <ffff810075d3dca0>/0x21e
CR2 0000000000000006
---[ end trace 7229f1c5f3494cd7 ]---
kernel panic - not syncing: Aiee, killing interrupt handler!

I believe there is more information before this but it scrolls off of the screen
too fast to see and I cannot scroll back.  I haven't found this information in
any logs.


Expected results:

Normal boot-up

Additional info: This laptop has a Realtek RTL-8185 802.11a/b/g wireless controller.
Comment 1 Wojciech Kazubski 2008-03-09 06:47:51 EDT
Try the latest kernel from 
http://koji.fedoraproject.org/koji/buildinfo?buildID=42024
this helped me on i686 with the same wireless chip.
Comment 2 Chuck Ebbert 2008-03-19 16:00:16 EDT
Does 2.6.24.3-34 work?
Comment 3 Jeffrey L. Susanj 2008-03-20 17:51:09 EDT
Yes, 2.6.24.3-34 solved the problem.

Note You need to log in before you can comment on or make changes to this bug.